Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Organizations REST API / Reference / REST API

Users

Postman Collection
OpenAPI
GET

Get users in an organizationExperimental

Returns a page of users in an organization that match the supplied parameters.

Request

Path parameters

orgId

string

Required
directoryId

string

Required

Query parameters

cursor

string

limit

integer

accountIds

array<string>

directoryIds

array<string>

resourceIds

array<string>

groupIds

array<string>

claimStatus

string

status

array<string>

accountStatus

array<string>

membershipStatus

array<string>

Responses

Returned if the request is successful.

application/json

MultiDirectoryUserPage
GET/v2/orgs/{orgId}/directories/{directoryId}/users
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/admin/v2/orgs/{orgId}/directories/{directoryId}/users' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 { "data": [ { "accountId": "12345678-1234-1234-1234-123456789012", "accountType": "atlassian", "status": "active", "accountStatus": "active", "membershipStatus": "active", "addedToOrg": "2024-01-01T00:00:00.000Z", "name": "John Doe", "nickname": "Jonny", "email": "email@example.com", "emailVerified": true, "claimStatus": "unmanaged", "platformRoles": [ "atlassian/org-admin" ], "picture": "https://picture.example.com/picture.png", "avatar": "https://avatar.example.com/avatar.png", "counts": { "resources": 10 }, "links": { "self": "ECg53CukK1twBo0LK1u9nw" } } ], "links": { "self": "ObSbZxpM1f1fzia2_GnuJw", "prev": "LIZFEbzCT2pCCkQhPIUgIQ", "next": "kloHX1ZQVasDAkx_P48NYQ" } }
GET

Get managed accounts in an organization

Returns a list of managed accounts in an organization.

Request

Path parameters

orgId

string

Required

Query parameters

cursor

string

Responses

Successful operation

application/json

UserPage
GET/v1/orgs/{orgId}/users
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/users' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 { "data": [ { "account_id": "<string>", "account_type": "atlassian", "account_status": "active", "name": "<string>", "picture": "<string>", "email": "<string>", "access_billable": true, "last_active": "<string>", "product_access": [ { "key": "jira-software", "name": "<string>", "url": "<string>", "last_active": "<string>" } ], "links": { "self": "<string>" } } ], "meta": { "total": 35 }, "links": { "self": "<string>", "prev": "<string>", "next": "<string>" } }
POST

Invite user to org

The API is presently accessible exclusively to customers who hold a paid subscription.

The API is available for customers using the new user management experience only.

This API will:

  • invite user to org and add them to the directory
  • assign a role for a given resource
  • send email if the sendNotification field is set true with optional custom message for the email

This API will not:

  • add users to group

Request

Path parameters

orgId

string

Required

Request bodyapplication/json

email

string

Required
permissionRule

RoleAssociation

sendNotification

boolean

notificationText

string

Responses

Invitation successfully sent

application/json

array<string>

POST/v1/orgs/{orgId}/users/invite
1 2 3 4 5 6 7 8 9 10 11 12 13 14 curl --request POST \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/users/invite' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "email": "<string>", "permissionRule": { "resource": "ari:cloud:jira::site/70ef3a32-d0da-4e09-b35e-0109f91969c3", "role": "atlassian/user" }, "sendNotification": true, "notificationText": "<string>" }'
202Response
1 2 3 [ "619034:4eb0cd3f-3cb6-4561-8d6a-0546e66cab3d" ]
GET

Get user role assignmentsExperimental

Returns a page of role assignments for a user that match the supplied parameters.

Request

Path parameters

orgId

string

Required
directoryId

string

Required
accountId

string

Required

Query parameters

cursor

string

limit

integer

directoryIds

array<string>

resourceOwners

array<string>

resourceIds

array<string>

roleIds

array<string>

Responses

Returned if the request is successful.

application/json

MultiDirectoryUserRoleAssignmentPage
GET/v2/orgs/{orgId}/directories/{directoryId}/users/{accountId}/role-assignments
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/admin/v2/orgs/{orgId}/directories/{directoryId}/users/{accountId}/role-assignments' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 { "data": [ { "resourceId": "ari:cloud:jira-core::site/1", "resourceOwner": "jira-core", "roles": [ [ "atlassian/org-admin", "atlassian/site-admin" ] ], "directoryId": "<string>", "userDirectoryStatus": "active" } ], "links": { "self": "ObSbZxpM1f1fzia2_GnuJw", "prev": "LIZFEbzCT2pCCkQhPIUgIQ", "next": "kloHX1ZQVasDAkx_P48NYQ" } }
POST

Suspend user access in directoryExperimental

Suspend a user’s access in a directory to remove their access to apps temporarily. You’re not billed for a user when their access is suspended. They regain their roles and group memberships when you restore their access.

Request

Path parameters

orgId

string

Required
directoryId

string

Required
accountId

string

Required

Responses

Success

POST/v2/orgs/{orgId}/directories/{directoryId}/users/{accountId}/suspend
1 2 3 curl --request POST \ --url 'https://api.atlassian.com/admin/v2/orgs/{orgId}/directories/{directoryId}/users/{accountId}/suspend' \ --header 'Authorization: Bearer <access_token>'
POST

Restore user access in directoryExperimental

Restore a user’s access in a directory to let them access apps again. They regain their roles and group memberships from before their access was suspended. We resume billing you for this user.

Request

Path parameters

orgId

string

Required
directoryId

string

Required
accountId

string

Required

Responses

Success

POST/v2/orgs/{orgId}/directories/{directoryId}/users/{accountId}/restore
1 2 3 curl --request POST \ --url 'https://api.atlassian.com/admin/v2/orgs/{orgId}/directories/{directoryId}/users/{accountId}/restore' \ --header 'Authorization: Bearer <access_token>'
DEL

Remove user from directoryExperimental

Remove a user from a directory if you don’t want them to appear in your directory or have access to your apps anymore. You’re not billed for a user once they’re removed. You must invite the user to your organization again if you want to reinstate their access to your apps. You’ll need to assign their roles and group memberships again.

Request

Path parameters

orgId

string

Required
directoryId

string

Required
accountId

string

Required

Responses

Success

DEL/v2/orgs/{orgId}/directories/{directoryId}/users/{accountId}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/admin/v2/orgs/{orgId}/directories/{directoryId}/users/{accountId}' \ --header 'Authorization: Bearer <access_token>'
GET

Get count of users in an organizationExperimental

Returns a count of users in an organization that match the supplied parameters.

Request

Path parameters

orgId

string

Required
directoryId

string

Required

Query parameters

accountIds

array<string>

directoryIds

array<string>

resourceIds

array<string>

groupIds

array<string>

claimStatus

string

status

array<string>

accountStatus

array<string>

membershipStatus

array<string>

roleIds

array<string>

searchTerm

string

Responses

Returned if the request is successful.

application/json

object
GET/v2/orgs/{orgId}/directories/{directoryId}/users/count
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/admin/v2/orgs/{orgId}/directories/{directoryId}/users/count' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 { "count": 48 }
GET

Get user statsExperimental

Returns user stats for the organization.

Request

Path parameters

orgId

string

Required
directoryId

string

Required

Responses

Returned if the request is successful.

application/json

MultiDirectoryUserStats
GET/v2/orgs/{orgId}/directories/{directoryId}/users/stats
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/admin/v2/orgs/{orgId}/directories/{directoryId}/users/stats' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 { "roles": [ { "roleId": "atlassian/org-admin", "count": 3 } ], "accountStatus": [ { "status": "active", "count": 5 }, { "status": "inactive", "count": 1 }, { "status": "closed", "count": 2 } ] }
POST

Grant user access

The API is available for customers using the new user management experience only.

This API can be used to grant Platform Roles to a user.

Request

Path parameters

orgId

string

Required
userId

string

Required

Request bodyapplication/json

role

string

Required
resource

string

Responses

Role Assigned Successfully.

POST/v1/orgs/{orgId}/users/{userId}/roles/assign
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/users/{userId}/roles/assign' \ --header 'Authorization: Bearer <access_token>' \ --header 'Content-Type: application/json' \ --data '{ "role": "atlassian/user", "resource": "ari:cloud:platform::site/70ef3a32-d0da-4e09-b35e-0109f91969c3" }'
POST

Revoke user access

The API is available for customers using the new user management experience only.

This API can be used to revoke Platform Roles from a user.

Request

Path parameters

orgId

string

Required
userId

string

Required

Request bodyapplication/json

role

string

Required
resource

string

Responses

Role Revoked Successfully.

POST/v1/orgs/{orgId}/users/{userId}/roles/revoke
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/users/{userId}/roles/revoke' \ --header 'Authorization: Bearer <access_token>' \ --header 'Content-Type: application/json' \ --data '{ "role": "atlassian/user", "resource": "ari:cloud:platform::site/70ef3a32-d0da-4e09-b35e-0109f91969c3" }'
GET

User’s last active dates

Additional response parameters of the API (for e.g., added_to_org) are available only to customers using the new user management experience. Learn more about the new user management experience.

Specifications:

  • Return a user’s last active date for each product listed in Atlassian Administration.
  • Active is defined as viewing a product's page for a minimum of 2 seconds.
  • The data for the last activity may be delayed by up to 24 hours.
  • If the user has not accessed a product, the product_access response field will be empty.

Learn the fastest way to call the API with a detailed tutorial.

Request

Path parameters

orgId

string

Required
accountId

string

Required

Query parameters

cursor

string

Responses

Successful operation

application/json

UserProductAccessActivityPage
GET/v1/orgs/{orgId}/directory/users/{accountId}/last-active-dates
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/directory/users/{accountId}/last-active-dates' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 { "data": { "product_access": [ { "id": "<string>", "key": "jira-software", "last_active": "<string>", "last_active_timestamp": "<string>" } ], "added_to_org": "<string>", "added_to_org_timestamp": "<string>" }, "links": { "next": "<string>" } }
POST

Search for users in an organization

The API is available for customers using the new user management experience only. How the new user management experience works

Returns a list of users within an organization, offering search functionality through multiple parameters for more precise results.

Request

Path parameters

orgId

string

Required

Request bodyapplication/json

accountIds

array<string>

accountTypes

array<string>

accountStatuses

array<string>

namesOrNicknames

NamesOrNicknames

emailUsernames

EmailUsernames

emailDomains

EmailDomains

isSuspended

boolean

cursor

string

limit

integer

expand

array<string>

Responses

Organization found. Response contains user search results

application/json

UsersSearchPage
POST/v1/orgs/{orgId}/users/search
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/users/search' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "limit": 20 }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 { "data": [ { "accountId": "123e4567-e89b-12d3-a456-426614174000", "accountType": "atlassian", "accountStatus": "active" } ], "links": { "next": "MDNlZWRmNzMtMWYwMi00NGM5LWI4NjgtZGQ1NTIwMjIwYjhj", "self": "MDI0MzkwOGEtMmYyOC00NzgzLWI5YTktMDUwZTExNzJjZDU4" } }
POST

Suspend user access

The API is available for customers using the new user management experience only. Learn more about the new user management experience.

Specifications:

  • Suspend user access to products listed in Atlassian Administration while keeping the account active.
  • Make product licenses available for active users.
  • Maintain respective users in Groups for easy restoration.

User access can be restored anytime via the Restore access API

Learn the fastest way to call the API with a detailed tutorial.

Request

Path parameters

orgId

string

Required
accountId

string

Required

Responses

User was successfully suspended in the organization directory.

application/json

object
POST/v1/orgs/{orgId}/directory/users/{accountId}/suspend-access
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/directory/users/{accountId}/suspend-access' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 { "message": "Access to organization 6665kc2j-4644-14k8-j32c-68cc0b1d15b8 was suspended for user 637194fa77acd224b33bfae3" }
POST

Restore user access

The API is available for customers using the new user management experience only. Learn more about the new user management experience.

This API will:

  • Restore access of an existing user to products listed in Atlassian Administration.
  • Retract the suspend user action.

This API will not:

Learn the fastest way to call the API with a detailed tutorial.

Request

Path parameters

orgId

string

Required
accountId

string

Required

Responses

User's access is successfully restored in the organization directory.

application/json

object
POST/v1/orgs/{orgId}/directory/users/{accountId}/restore-access
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/directory/users/{accountId}/restore-access' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 { "message": "Access to organization 6665kc2j-4644-14k8-j32c-68cc0b1d15b8 was restored for user 637194fa77acd224b33bfae3" }
DEL

Remove user access

The API is available for customers using the new user management experience only. Learn more about the new user management experience.

Specifications:

  • Remove user access to products listed in Atlassian Administration.
  • Remove users from Users and Groups in Directory.
  • Make product licenses available for active users.

The users are not removed immediately; instead, they are placed in a queue for deletion. Please note that it may take some time for all users to be completely removed.

Users with emails whose domain is claimed can still be found in Managed accounts in Directory.

Learn the fastest way to call the API with a detailed tutorial.

Request

Path parameters

orgId

string

Required
accountId

string

Required

Responses

User access removed from organization. Everything went fine, nothing to return. The users are not removed immediately; instead, they are placed in a queue for deletion. Please note that it may take some time for all users to be completely removed.

DEL/v1/orgs/{orgId}/directory/users/{accountId}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/admin/v1/orgs/{orgId}/directory/users/{accountId}' \ --header 'Authorization: Bearer <access_token>'

Rate this page: